Skip to main content
Resource Center/Hardware/Backup Storage Operations

SyncImage

SyncImage

PUT/zstack/v1/backup-storage/image-store/{imageStoreUuid}/actions

Operation ID

SyncImage

Since

4.7.11

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • imageStoreUuid
    StringRequired

    The UUID of the backup storage.

Body Fields

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • code
    StringRequired

    The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

  • description
    StringRequired

    The brief description of the error.

  • details
    StringRequired

    The details about the error.

  • elaboration
    StringRequired

    The reserved field. Default value: null.

  • opaque
    LinkedHashMapRequired

    The reserved field. Default value: null.

  • cause
    ErrorCodeRequired

    The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • Change Time

    AddedResponse fields cause, code, description...
    View API